Pacotes quebrados?

Next Topic
 
classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Pacotes quebrados?

Marcelo Paixao
Ola pessoal não consigo instalar ou desinstalar programas no terminal
aparece isso:
"Found kernel: /boot/memtest86+.bin
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 10
Failed to process /etc/kernel/postrm.d at
/var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm line 328.
dpkg: erro ao processar o pacote linux-image-4.4.0-89-generic (--remove):
 sub-processo script post-removal instalado retornou estado de saída de
erro 1
Nenhum relatório apport escrito pois MaxReports já foi atingido
                                                               Erros foram
encontrados durante o processamento de:
 linux-image-extra-4.4.0-83-generic
 linux-image-4.4.0-83-generic
 linux-image-extra-4.4.0-89-generic
 linux-image-4.4.0-89-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)"

Já tentei remover pelo terminal, synaptic e sempre dá erro.

Pelo pouco que entendo e pesquisei é problema de kernel antigos, tenho que
instalar outros?

Valeu pela força.

--
Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece

Lista de discussão Ubuntu Brasil
Histórico, descadastramento e outras opções:
https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RES: Pacotes quebrados?

Glênio Côrtes Himmen-2
Vá no diretório /boot digite ls -l e veja os arquivos que tem, apague um kernel mais antigo.

Cada kernel é composto de três arquivos com a mesma numeração.

Depois de remover o arquivo, basta executar o update, upgrade, dist-upgrade, autoremove e autoclean.

Glênio Côrtes Himmen
Super. Municipal de Mobilidade e Desenv. Social
www.aparecida.go.gov.br
[hidden email]

-----Mensagem original-----
De: [hidden email] [mailto:[hidden email]] Em nome de Marcelo Paixao
Enviada em: terça-feira, 8 de agosto de 2017 08:27
Para: Lista de discussão da Comunidade Ubuntu Brasil
Assunto: [Ubuntu-BR] Pacotes quebrados?

Ola pessoal não consigo instalar ou desinstalar programas no terminal aparece isso:
"Found kernel: /boot/memtest86+.bin
run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 10 Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm line 328.
dpkg: erro ao processar o pacote linux-image-4.4.0-89-generic (--remove):
 sub-processo script post-removal instalado retornou estado de saída de erro 1 Nenhum relatório apport escrito pois MaxReports já foi atingido
                                                               Erros foram encontrados durante o processamento de:
 linux-image-extra-4.4.0-83-generic
 linux-image-4.4.0-83-generic
 linux-image-extra-4.4.0-89-generic
 linux-image-4.4.0-89-generic
E: Sub-process /usr/bin/dpkg returned an error code (1)"

Já tentei remover pelo terminal, synaptic e sempre dá erro.

Pelo pouco que entendo e pesquisei é problema de kernel antigos, tenho que instalar outros?

Valeu pela força.


--
Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece

Lista de discussão Ubuntu Brasil
Histórico, descadastramento e outras opções:
https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: RES: Pacotes quebrados?

Marcos Alano
@Glênio,

Isso não vai funcionar por que apesar de remover os arquivos do kernel
não vai remover os pacotes.

@Marcelo
Tu pode tentar o comando:
sudo apt -f install
E em último caso pode substituir (fazendo backup, é claro) o script
/var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm por um script
que sempre retorne verdadeiro. Ou pode lá ver o que essa linha 328 faz
e podemos fazer um troubleshooting
 mais demorado e aprofundado.

2017-08-09 14:42 GMT-03:00 Glênio Côrtes Himmen
<[hidden email]>:

> Vá no diretório /boot digite ls -l e veja os arquivos que tem, apague um kernel mais antigo.
>
> Cada kernel é composto de três arquivos com a mesma numeração.
>
> Depois de remover o arquivo, basta executar o update, upgrade, dist-upgrade, autoremove e autoclean.
>
> Glênio Côrtes Himmen
> Super. Municipal de Mobilidade e Desenv. Social
> www.aparecida.go.gov.br
> [hidden email]
>
> -----Mensagem original-----
> De: [hidden email] [mailto:[hidden email]] Em nome de Marcelo Paixao
> Enviada em: terça-feira, 8 de agosto de 2017 08:27
> Para: Lista de discussão da Comunidade Ubuntu Brasil
> Assunto: [Ubuntu-BR] Pacotes quebrados?
>
> Ola pessoal não consigo instalar ou desinstalar programas no terminal aparece isso:
> "Found kernel: /boot/memtest86+.bin
> run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code 10 Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm line 328.
> dpkg: erro ao processar o pacote linux-image-4.4.0-89-generic (--remove):
>  sub-processo script post-removal instalado retornou estado de saída de erro 1 Nenhum relatório apport escrito pois MaxReports já foi atingido
>                                                                Erros foram encontrados durante o processamento de:
>  linux-image-extra-4.4.0-83-generic
>  linux-image-4.4.0-83-generic
>  linux-image-extra-4.4.0-89-generic
>  linux-image-4.4.0-89-generic
> E: Sub-process /usr/bin/dpkg returned an error code (1)"
>
> Já tentei remover pelo terminal, synaptic e sempre dá erro.
>
> Pelo pouco que entendo e pesquisei é problema de kernel antigos, tenho que instalar outros?
>
> Valeu pela força.
>
>
> --
> Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
>
> Lista de discussão Ubuntu Brasil
> Histórico, descadastramento e outras opções:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-br



--
Marcos Alano
----------------------------------------------
P: Por que este email é tão curto?
R: http://five.sentenc.es
----------------------------------------------

--
Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece

Lista de discussão Ubuntu Brasil
Histórico, descadastramento e outras opções:
https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: RES: Pacotes quebrados?

Marcelo Paixao
Olá pessoal meu nível em linux é no máximo médio, e fiquei com algumas
dúvida.

Glénio no " /boot digite ls -l" fico com dúvida em qual arquivo apagar,
aparece assim.

"-rw-r--r-- 1 root root  1243479 Dez  2  2016 abi-4.4.0-53-generic
-rw-r--r-- 1 root root  1243800 Dez 10  2016 abi-4.4.0-57-generic
-rw-r--r-- 1 root root  1246670 Jul 18 12:00 abi-4.4.0-87-generic
-rw-r--r-- 1 root root   189877 Dez  2  2016 config-4.4.0-53-generic
-rw-r--r-- 1 root root   189991 Dez 10  2016 config-4.4.0-57-generic
-rw-r--r-- 1 root root   190356 Jul 18 12:00 config-4.4.0-87-generic
drwxr-xr-x 5 root root     4096 Ago  6 01:38 grub
-rw-r--r-- 1 root root 37953051 Jun 22 23:05 initrd.img-4.4.0-53-generic
-rw-r--r-- 1 root root 37956110 Jun 22 23:04 initrd.img-4.4.0-57-generic
-rw-r--r-- 1 root root 38020329 Ago  4 10:26 initrd.img-4.4.0-87-generic
-rw-r--r-- 1 root root   182704 Jan 28  2016 memtest86+.bin
-rw-r--r-- 1 root root   184380 Jan 28  2016 memtest86+.elf
-rw-r--r-- 1 root root   184840 Jan 28  2016 memtest86+_multiboot.bin
-rw------- 1 root root  3874377 Dez  2  2016 System.map-4.4.0-53-generic
-rw------- 1 root root  3875329 Dez 10  2016 System.map-4.4.0-57-generic
-rw------- 1 root root  3884173 Jul 18 12:00 System.map-4.4.0-87-generic
-rw------- 1 root root  7065648 Dez  2  2016 vmlinuz-4.4.0-53-generic
-rw------- 1 root root  7067152 Dez 10  2016 vmlinuz-4.4.0-57-generic
-rw------- 1 root root  7095888 Jul 18 12:00 vmlinuz-4.4.0-87-generic"

E não consegui ou " não sei" remover

Marcos,

Fiz o "sudo apt -f install" mas continua dando erro nos mesmo arquivos, E a
outra parte que vc escreve não entendi muito o que é para fazer.

Pergunta será estou com o 16.04 será que eu consigo fizer um upgrade para
uma versão mais nova resolve meu problema?


2017-08-09 15:05 GMT-03:00 Marcos Alano <[hidden email]>:

> @Glênio,
>
> Isso não vai funcionar por que apesar de remover os arquivos do kernel
> não vai remover os pacotes.
>
> @Marcelo
> Tu pode tentar o comando:
> sudo apt -f install
> E em último caso pode substituir (fazendo backup, é claro) o script
> /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm por um script
> que sempre retorne verdadeiro. Ou pode lá ver o que essa linha 328 faz
> e podemos fazer um troubleshooting
>  mais demorado e aprofundado.
>
> 2017-08-09 14:42 GMT-03:00 Glênio Côrtes Himmen
> <[hidden email]>:
> > Vá no diretório /boot digite ls -l e veja os arquivos que tem, apague um
> kernel mais antigo.
> >
> > Cada kernel é composto de três arquivos com a mesma numeração.
> >
> > Depois de remover o arquivo, basta executar o update, upgrade,
> dist-upgrade, autoremove e autoclean.
> >
> > Glênio Côrtes Himmen
> > Super. Municipal de Mobilidade e Desenv. Social
> > www.aparecida.go.gov.br
> > [hidden email]
> >
> > -----Mensagem original-----
> > De: [hidden email] [mailto:ubuntu-br-bounces@
> lists.ubuntu.com] Em nome de Marcelo Paixao
> > Enviada em: terça-feira, 8 de agosto de 2017 08:27
> > Para: Lista de discussão da Comunidade Ubuntu Brasil
> > Assunto: [Ubuntu-BR] Pacotes quebrados?
> >
> > Ola pessoal não consigo instalar ou desinstalar programas no terminal
> aparece isso:
> > "Found kernel: /boot/memtest86+.bin
> > run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code
> 10 Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm
> line 328.
> > dpkg: erro ao processar o pacote linux-image-4.4.0-89-generic (--remove):
> >  sub-processo script post-removal instalado retornou estado de saída de
> erro 1 Nenhum relatório apport escrito pois MaxReports já foi atingido
> >                                                                Erros
> foram encontrados durante o processamento de:
> >  linux-image-extra-4.4.0-83-generic
> >  linux-image-4.4.0-83-generic
> >  linux-image-extra-4.4.0-89-generic
> >  linux-image-4.4.0-89-generic
> > E: Sub-process /usr/bin/dpkg returned an error code (1)"
> >
> > Já tentei remover pelo terminal, synaptic e sempre dá erro.
> >
> > Pelo pouco que entendo e pesquisei é problema de kernel antigos, tenho
> que instalar outros?
> >
> > Valeu pela força.
> >
> >
> > --
> > Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
> >
> > Lista de discussão Ubuntu Brasil
> > Histórico, descadastramento e outras opções:
> > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
>
>
>
> --
> Marcos Alano
> ----------------------------------------------
> P: Por que este email é tão curto?
> R: http://five.sentenc.es
> ----------------------------------------------
>
> --
> Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
>
> Lista de discussão Ubuntu Brasil
> Histórico, descadastramento e outras opções:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
>

--
Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece

Lista de discussão Ubuntu Brasil
Histórico, descadastramento e outras opções:
https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: RES: Pacotes quebrados?

Marcos Alano
Oi Marcelo,

Esse link parece mostrar um workaround:
https://ubuntuforums.org/showthread.php?t=2226564
Ele diz que se deve comentar umas linhas no arquivo
/etc/kernel/postrm.d/zz-update-grub . mas caso funcione tu tem que
rodar o comando 'sudo update-grub' manualmente para remover os kernels
antigos. Se o link que eu passei estiver certo esse comando não está
funcionando.

2017-08-10 8:48 GMT-03:00 Marcelo Paixao <[hidden email]>:

> Olá pessoal meu nível em linux é no máximo médio, e fiquei com algumas
> dúvida.
>
> Glénio no " /boot digite ls -l" fico com dúvida em qual arquivo apagar,
> aparece assim.
>
> "-rw-r--r-- 1 root root  1243479 Dez  2  2016 abi-4.4.0-53-generic
> -rw-r--r-- 1 root root  1243800 Dez 10  2016 abi-4.4.0-57-generic
> -rw-r--r-- 1 root root  1246670 Jul 18 12:00 abi-4.4.0-87-generic
> -rw-r--r-- 1 root root   189877 Dez  2  2016 config-4.4.0-53-generic
> -rw-r--r-- 1 root root   189991 Dez 10  2016 config-4.4.0-57-generic
> -rw-r--r-- 1 root root   190356 Jul 18 12:00 config-4.4.0-87-generic
> drwxr-xr-x 5 root root     4096 Ago  6 01:38 grub
> -rw-r--r-- 1 root root 37953051 Jun 22 23:05 initrd.img-4.4.0-53-generic
> -rw-r--r-- 1 root root 37956110 Jun 22 23:04 initrd.img-4.4.0-57-generic
> -rw-r--r-- 1 root root 38020329 Ago  4 10:26 initrd.img-4.4.0-87-generic
> -rw-r--r-- 1 root root   182704 Jan 28  2016 memtest86+.bin
> -rw-r--r-- 1 root root   184380 Jan 28  2016 memtest86+.elf
> -rw-r--r-- 1 root root   184840 Jan 28  2016 memtest86+_multiboot.bin
> -rw------- 1 root root  3874377 Dez  2  2016 System.map-4.4.0-53-generic
> -rw------- 1 root root  3875329 Dez 10  2016 System.map-4.4.0-57-generic
> -rw------- 1 root root  3884173 Jul 18 12:00 System.map-4.4.0-87-generic
> -rw------- 1 root root  7065648 Dez  2  2016 vmlinuz-4.4.0-53-generic
> -rw------- 1 root root  7067152 Dez 10  2016 vmlinuz-4.4.0-57-generic
> -rw------- 1 root root  7095888 Jul 18 12:00 vmlinuz-4.4.0-87-generic"
>
> E não consegui ou " não sei" remover
>
> Marcos,
>
> Fiz o "sudo apt -f install" mas continua dando erro nos mesmo arquivos, E a
> outra parte que vc escreve não entendi muito o que é para fazer.
>
> Pergunta será estou com o 16.04 será que eu consigo fizer um upgrade para
> uma versão mais nova resolve meu problema?
>
>
> 2017-08-09 15:05 GMT-03:00 Marcos Alano <[hidden email]>:
>
>> @Glênio,
>>
>> Isso não vai funcionar por que apesar de remover os arquivos do kernel
>> não vai remover os pacotes.
>>
>> @Marcelo
>> Tu pode tentar o comando:
>> sudo apt -f install
>> E em último caso pode substituir (fazendo backup, é claro) o script
>> /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm por um script
>> que sempre retorne verdadeiro. Ou pode lá ver o que essa linha 328 faz
>> e podemos fazer um troubleshooting
>>  mais demorado e aprofundado.
>>
>> 2017-08-09 14:42 GMT-03:00 Glênio Côrtes Himmen
>> <[hidden email]>:
>> > Vá no diretório /boot digite ls -l e veja os arquivos que tem, apague um
>> kernel mais antigo.
>> >
>> > Cada kernel é composto de três arquivos com a mesma numeração.
>> >
>> > Depois de remover o arquivo, basta executar o update, upgrade,
>> dist-upgrade, autoremove e autoclean.
>> >
>> > Glênio Côrtes Himmen
>> > Super. Municipal de Mobilidade e Desenv. Social
>> > www.aparecida.go.gov.br
>> > [hidden email]
>> >
>> > -----Mensagem original-----
>> > De: [hidden email] [mailto:ubuntu-br-bounces@
>> lists.ubuntu.com] Em nome de Marcelo Paixao
>> > Enviada em: terça-feira, 8 de agosto de 2017 08:27
>> > Para: Lista de discussão da Comunidade Ubuntu Brasil
>> > Assunto: [Ubuntu-BR] Pacotes quebrados?
>> >
>> > Ola pessoal não consigo instalar ou desinstalar programas no terminal
>> aparece isso:
>> > "Found kernel: /boot/memtest86+.bin
>> > run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return code
>> 10 Failed to process /etc/kernel/postrm.d at /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm
>> line 328.
>> > dpkg: erro ao processar o pacote linux-image-4.4.0-89-generic (--remove):
>> >  sub-processo script post-removal instalado retornou estado de saída de
>> erro 1 Nenhum relatório apport escrito pois MaxReports já foi atingido
>> >                                                                Erros
>> foram encontrados durante o processamento de:
>> >  linux-image-extra-4.4.0-83-generic
>> >  linux-image-4.4.0-83-generic
>> >  linux-image-extra-4.4.0-89-generic
>> >  linux-image-4.4.0-89-generic
>> > E: Sub-process /usr/bin/dpkg returned an error code (1)"
>> >
>> > Já tentei remover pelo terminal, synaptic e sempre dá erro.
>> >
>> > Pelo pouco que entendo e pesquisei é problema de kernel antigos, tenho
>> que instalar outros?
>> >
>> > Valeu pela força.
>> >
>> >
>> > --
>> > Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
>> >
>> > Lista de discussão Ubuntu Brasil
>> > Histórico, descadastramento e outras opções:
>> > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
>>
>>
>>
>> --
>> Marcos Alano
>> ----------------------------------------------
>> P: Por que este email é tão curto?
>> R: http://five.sentenc.es
>> ----------------------------------------------
>>
>> --
>> Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
>>
>> Lista de discussão Ubuntu Brasil
>> Histórico, descadastramento e outras opções:
>> https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
>>
>
> --
> Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
>
> Lista de discussão Ubuntu Brasil
> Histórico, descadastramento e outras opções:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
>



--
Marcos Alano
----------------------------------------------
P: Por que este email é tão curto?
R: http://five.sentenc.es
----------------------------------------------

--
Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece

Lista de discussão Ubuntu Brasil
Histórico, descadastramento e outras opções:
https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RES: RES: Pacotes quebrados?

Glênio Côrtes Himmen-2
In reply to this post by Marcelo Paixao
abi-4.4.0-53-generic
config-4.4.0-53-generic
initrd.img-4.4.0-53-generic

Glênio Côrtes Himmen
Super. Municipal de Mobilidade e Desenv. Social
www.aparecida.go.gov.br
[hidden email]

-----Mensagem original-----
De: [hidden email] [mailto:[hidden email]] Em nome de Marcelo Paixao
Enviada em: quinta-feira, 10 de agosto de 2017 08:49
Para: Lista de discussão da Comunidade Ubuntu Brasil
Assunto: Re: [Ubuntu-BR] RES: Pacotes quebrados?

Olá pessoal meu nível em linux é no máximo médio, e fiquei com algumas dúvida.

Glénio no " /boot digite ls -l" fico com dúvida em qual arquivo apagar, aparece assim.

"-rw-r--r-- 1 root root  1243479 Dez  2  2016 abi-4.4.0-53-generic
-rw-r--r-- 1 root root  1243800 Dez 10  2016 abi-4.4.0-57-generic
-rw-r--r-- 1 root root  1246670 Jul 18 12:00 abi-4.4.0-87-generic
-rw-r--r-- 1 root root   189877 Dez  2  2016 config-4.4.0-53-generic
-rw-r--r-- 1 root root   189991 Dez 10  2016 config-4.4.0-57-generic
-rw-r--r-- 1 root root   190356 Jul 18 12:00 config-4.4.0-87-generic
drwxr-xr-x 5 root root     4096 Ago  6 01:38 grub
-rw-r--r-- 1 root root 37953051 Jun 22 23:05 initrd.img-4.4.0-53-generic
-rw-r--r-- 1 root root 37956110 Jun 22 23:04 initrd.img-4.4.0-57-generic
-rw-r--r-- 1 root root 38020329 Ago  4 10:26 initrd.img-4.4.0-87-generic
-rw-r--r-- 1 root root   182704 Jan 28  2016 memtest86+.bin
-rw-r--r-- 1 root root   184380 Jan 28  2016 memtest86+.elf
-rw-r--r-- 1 root root   184840 Jan 28  2016 memtest86+_multiboot.bin
-rw------- 1 root root  3874377 Dez  2  2016 System.map-4.4.0-53-generic
-rw------- 1 root root  3875329 Dez 10  2016 System.map-4.4.0-57-generic
-rw------- 1 root root  3884173 Jul 18 12:00 System.map-4.4.0-87-generic
-rw------- 1 root root  7065648 Dez  2  2016 vmlinuz-4.4.0-53-generic
-rw------- 1 root root  7067152 Dez 10  2016 vmlinuz-4.4.0-57-generic
-rw------- 1 root root  7095888 Jul 18 12:00 vmlinuz-4.4.0-87-generic"

E não consegui ou " não sei" remover

Marcos,

Fiz o "sudo apt -f install" mas continua dando erro nos mesmo arquivos, E a outra parte que vc escreve não entendi muito o que é para fazer.

Pergunta será estou com o 16.04 será que eu consigo fizer um upgrade para uma versão mais nova resolve meu problema?


2017-08-09 15:05 GMT-03:00 Marcos Alano <[hidden email]>:

> @Glênio,
>
> Isso não vai funcionar por que apesar de remover os arquivos do kernel
> não vai remover os pacotes.
>
> @Marcelo
> Tu pode tentar o comando:
> sudo apt -f install
> E em último caso pode substituir (fazendo backup, é claro) o script
> /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm por um script
> que sempre retorne verdadeiro. Ou pode lá ver o que essa linha 328 faz
> e podemos fazer um troubleshooting  mais demorado e aprofundado.
>
> 2017-08-09 14:42 GMT-03:00 Glênio Côrtes Himmen
> <[hidden email]>:
> > Vá no diretório /boot digite ls -l e veja os arquivos que tem,
> > apague um
> kernel mais antigo.
> >
> > Cada kernel é composto de três arquivos com a mesma numeração.
> >
> > Depois de remover o arquivo, basta executar o update, upgrade,
> dist-upgrade, autoremove e autoclean.
> >
> > Glênio Côrtes Himmen
> > Super. Municipal de Mobilidade e Desenv. Social
> > www.aparecida.go.gov.br [hidden email]
> >
> > -----Mensagem original-----
> > De: [hidden email] [mailto:ubuntu-br-bounces@
> lists.ubuntu.com] Em nome de Marcelo Paixao
> > Enviada em: terça-feira, 8 de agosto de 2017 08:27
> > Para: Lista de discussão da Comunidade Ubuntu Brasil
> > Assunto: [Ubuntu-BR] Pacotes quebrados?
> >
> > Ola pessoal não consigo instalar ou desinstalar programas no
> > terminal
> aparece isso:
> > "Found kernel: /boot/memtest86+.bin
> > run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return
> > code
> 10 Failed to process /etc/kernel/postrm.d at
> /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm
> line 328.
> > dpkg: erro ao processar o pacote linux-image-4.4.0-89-generic (--remove):
> >  sub-processo script post-removal instalado retornou estado de saída
> > de
> erro 1 Nenhum relatório apport escrito pois MaxReports já foi atingido
> >                                                                Erros
> foram encontrados durante o processamento de:
> >  linux-image-extra-4.4.0-83-generic
> >  linux-image-4.4.0-83-generic
> >  linux-image-extra-4.4.0-89-generic
> >  linux-image-4.4.0-89-generic
> > E: Sub-process /usr/bin/dpkg returned an error code (1)"
> >
> > Já tentei remover pelo terminal, synaptic e sempre dá erro.
> >
> > Pelo pouco que entendo e pesquisei é problema de kernel antigos,
> > tenho
> que instalar outros?
> >
> > Valeu pela força.
> >
> >
> > --
> > Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
> >
> > Lista de discussão Ubuntu Brasil
> > Histórico, descadastramento e outras opções:
> > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
>
>
>
> --
> Marcos Alano
> ----------------------------------------------
> P: Por que este email é tão curto?
> R: http://five.sentenc.es
> ----------------------------------------------
>
> --
> Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
>
> Lista de discussão Ubuntu Brasil
> Histórico, descadastramento e outras opções:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
>


--
Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece

Lista de discussão Ubuntu Brasil
Histórico, descadastramento e outras opções:
https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: RES: RES: Pacotes quebrados?

Marcos Alano
Você não deveria apagar os arquivos, o que pode ocasionar novos erros, mas
sim achar um jeito de remover o pacote.

Marcos Alano
[hidden email]

On Aug 11, 2017 19:47, "Glênio Côrtes Himmen" <
[hidden email]> wrote:

> abi-4.4.0-53-generic
> config-4.4.0-53-generic
> initrd.img-4.4.0-53-generic
>
> Glênio Côrtes Himmen
> Super. Municipal de Mobilidade e Desenv. Social
> www.aparecida.go.gov.br
> [hidden email]
>
> -----Mensagem original-----
> De: [hidden email] [mailto:ubuntu-br-bounces@
> lists.ubuntu.com] Em nome de Marcelo Paixao
> Enviada em: quinta-feira, 10 de agosto de 2017 08:49
> Para: Lista de discussão da Comunidade Ubuntu Brasil
> Assunto: Re: [Ubuntu-BR] RES: Pacotes quebrados?
>
> Olá pessoal meu nível em linux é no máximo médio, e fiquei com algumas
> dúvida.
>
> Glénio no " /boot digite ls -l" fico com dúvida em qual arquivo apagar,
> aparece assim.
>
> "-rw-r--r-- 1 root root  1243479 Dez  2  2016 abi-4.4.0-53-generic
> -rw-r--r-- 1 root root  1243800 Dez 10  2016 abi-4.4.0-57-generic
> -rw-r--r-- 1 root root  1246670 Jul 18 12:00 abi-4.4.0-87-generic
> -rw-r--r-- 1 root root   189877 Dez  2  2016 config-4.4.0-53-generic
> -rw-r--r-- 1 root root   189991 Dez 10  2016 config-4.4.0-57-generic
> -rw-r--r-- 1 root root   190356 Jul 18 12:00 config-4.4.0-87-generic
> drwxr-xr-x 5 root root     4096 Ago  6 01:38 grub
> -rw-r--r-- 1 root root 37953051 Jun 22 23:05 initrd.img-4.4.0-53-generic
> -rw-r--r-- 1 root root 37956110 Jun 22 23:04 initrd.img-4.4.0-57-generic
> -rw-r--r-- 1 root root 38020329 Ago  4 10:26 initrd.img-4.4.0-87-generic
> -rw-r--r-- 1 root root   182704 Jan 28  2016 memtest86+.bin
> -rw-r--r-- 1 root root   184380 Jan 28  2016 memtest86+.elf
> -rw-r--r-- 1 root root   184840 Jan 28  2016 memtest86+_multiboot.bin
> -rw------- 1 root root  3874377 Dez  2  2016 System.map-4.4.0-53-generic
> -rw------- 1 root root  3875329 Dez 10  2016 System.map-4.4.0-57-generic
> -rw------- 1 root root  3884173 Jul 18 12:00 System.map-4.4.0-87-generic
> -rw------- 1 root root  7065648 Dez  2  2016 vmlinuz-4.4.0-53-generic
> -rw------- 1 root root  7067152 Dez 10  2016 vmlinuz-4.4.0-57-generic
> -rw------- 1 root root  7095888 Jul 18 12:00 vmlinuz-4.4.0-87-generic"
>
> E não consegui ou " não sei" remover
>
> Marcos,
>
> Fiz o "sudo apt -f install" mas continua dando erro nos mesmo arquivos, E
> a outra parte que vc escreve não entendi muito o que é para fazer.
>
> Pergunta será estou com o 16.04 será que eu consigo fizer um upgrade para
> uma versão mais nova resolve meu problema?
>
>
> 2017-08-09 15:05 GMT-03:00 Marcos Alano <[hidden email]>:
>
> > @Glênio,
> >
> > Isso não vai funcionar por que apesar de remover os arquivos do kernel
> > não vai remover os pacotes.
> >
> > @Marcelo
> > Tu pode tentar o comando:
> > sudo apt -f install
> > E em último caso pode substituir (fazendo backup, é claro) o script
> > /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm por um script
> > que sempre retorne verdadeiro. Ou pode lá ver o que essa linha 328 faz
> > e podemos fazer um troubleshooting  mais demorado e aprofundado.
> >
> > 2017-08-09 14:42 GMT-03:00 Glênio Côrtes Himmen
> > <[hidden email]>:
> > > Vá no diretório /boot digite ls -l e veja os arquivos que tem,
> > > apague um
> > kernel mais antigo.
> > >
> > > Cada kernel é composto de três arquivos com a mesma numeração.
> > >
> > > Depois de remover o arquivo, basta executar o update, upgrade,
> > dist-upgrade, autoremove e autoclean.
> > >
> > > Glênio Côrtes Himmen
> > > Super. Municipal de Mobilidade e Desenv. Social
> > > www.aparecida.go.gov.br [hidden email]
> > >
> > > -----Mensagem original-----
> > > De: [hidden email] [mailto:ubuntu-br-bounces@
> > lists.ubuntu.com] Em nome de Marcelo Paixao
> > > Enviada em: terça-feira, 8 de agosto de 2017 08:27
> > > Para: Lista de discussão da Comunidade Ubuntu Brasil
> > > Assunto: [Ubuntu-BR] Pacotes quebrados?
> > >
> > > Ola pessoal não consigo instalar ou desinstalar programas no
> > > terminal
> > aparece isso:
> > > "Found kernel: /boot/memtest86+.bin
> > > run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return
> > > code
> > 10 Failed to process /etc/kernel/postrm.d at
> > /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm
> > line 328.
> > > dpkg: erro ao processar o pacote linux-image-4.4.0-89-generic
> (--remove):
> > >  sub-processo script post-removal instalado retornou estado de saída
> > > de
> > erro 1 Nenhum relatório apport escrito pois MaxReports já foi atingido
> > >                                                                Erros
> > foram encontrados durante o processamento de:
> > >  linux-image-extra-4.4.0-83-generic
> > >  linux-image-4.4.0-83-generic
> > >  linux-image-extra-4.4.0-89-generic
> > >  linux-image-4.4.0-89-generic
> > > E: Sub-process /usr/bin/dpkg returned an error code (1)"
> > >
> > > Já tentei remover pelo terminal, synaptic e sempre dá erro.
> > >
> > > Pelo pouco que entendo e pesquisei é problema de kernel antigos,
> > > tenho
> > que instalar outros?
> > >
> > > Valeu pela força.
> > >
> > >
> > > --
> > > Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
> > >
> > > Lista de discussão Ubuntu Brasil
> > > Histórico, descadastramento e outras opções:
> > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
> >
> >
> >
> > --
> > Marcos Alano
> > ----------------------------------------------
> > P: Por que este email é tão curto?
> > R: http://five.sentenc.es
> > ----------------------------------------------
> >
> > --
> > Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
> >
> > Lista de discussão Ubuntu Brasil
> > Histórico, descadastramento e outras opções:
> > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
> >
>
>
> --
> Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
>
> Lista de discussão Ubuntu Brasil
> Histórico, descadastramento e outras opções:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
>

--
Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece

Lista de discussão Ubuntu Brasil
Histórico, descadastramento e outras opções:
https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

RES: RES: RES: Pacotes quebrados?

Glênio Côrtes Himmen-2
Depois que ele fizer isso e executar o update, o sistema vai ser corrigido e o problema não volta mais.

Esse problema ocorreu em kerneis mais antigos.

Glênio Côrtes Himmen
Super. Municipal de Mobilidade e Desenv. Social
www.aparecida.go.gov.br
[hidden email]

-----Mensagem original-----
De: [hidden email] [mailto:[hidden email]] Em nome de Marcos Alano
Enviada em: sexta-feira, 11 de agosto de 2017 19:56
Para: Lista de discussão da Comunidade Ubuntu Brasil
Assunto: Re: [Ubuntu-BR] RES: RES: Pacotes quebrados?

Você não deveria apagar os arquivos, o que pode ocasionar novos erros, mas sim achar um jeito de remover o pacote.

Marcos Alano
[hidden email]

On Aug 11, 2017 19:47, "Glênio Côrtes Himmen" < [hidden email]> wrote:

> abi-4.4.0-53-generic
> config-4.4.0-53-generic
> initrd.img-4.4.0-53-generic
>
> Glênio Côrtes Himmen
> Super. Municipal de Mobilidade e Desenv. Social
> www.aparecida.go.gov.br [hidden email]
>
> -----Mensagem original-----
> De: [hidden email] [mailto:ubuntu-br-bounces@
> lists.ubuntu.com] Em nome de Marcelo Paixao Enviada em: quinta-feira,
> 10 de agosto de 2017 08:49
> Para: Lista de discussão da Comunidade Ubuntu Brasil
> Assunto: Re: [Ubuntu-BR] RES: Pacotes quebrados?
>
> Olá pessoal meu nível em linux é no máximo médio, e fiquei com algumas
> dúvida.
>
> Glénio no " /boot digite ls -l" fico com dúvida em qual arquivo
> apagar, aparece assim.
>
> "-rw-r--r-- 1 root root  1243479 Dez  2  2016 abi-4.4.0-53-generic
> -rw-r--r-- 1 root root  1243800 Dez 10  2016 abi-4.4.0-57-generic
> -rw-r--r-- 1 root root  1246670 Jul 18 12:00 abi-4.4.0-87-generic
> -rw-r--r-- 1 root root   189877 Dez  2  2016 config-4.4.0-53-generic
> -rw-r--r-- 1 root root   189991 Dez 10  2016 config-4.4.0-57-generic
> -rw-r--r-- 1 root root   190356 Jul 18 12:00 config-4.4.0-87-generic
> drwxr-xr-x 5 root root     4096 Ago  6 01:38 grub
> -rw-r--r-- 1 root root 37953051 Jun 22 23:05
> initrd.img-4.4.0-53-generic
> -rw-r--r-- 1 root root 37956110 Jun 22 23:04
> initrd.img-4.4.0-57-generic
> -rw-r--r-- 1 root root 38020329 Ago  4 10:26 initrd.img-4.4.0-87-generic
> -rw-r--r-- 1 root root   182704 Jan 28  2016 memtest86+.bin
> -rw-r--r-- 1 root root   184380 Jan 28  2016 memtest86+.elf
> -rw-r--r-- 1 root root   184840 Jan 28  2016 memtest86+_multiboot.bin
> -rw------- 1 root root  3874377 Dez  2  2016
> System.map-4.4.0-53-generic
> -rw------- 1 root root  3875329 Dez 10  2016
> System.map-4.4.0-57-generic
> -rw------- 1 root root  3884173 Jul 18 12:00
> System.map-4.4.0-87-generic
> -rw------- 1 root root  7065648 Dez  2  2016 vmlinuz-4.4.0-53-generic
> -rw------- 1 root root  7067152 Dez 10  2016 vmlinuz-4.4.0-57-generic
> -rw------- 1 root root  7095888 Jul 18 12:00 vmlinuz-4.4.0-87-generic"
>
> E não consegui ou " não sei" remover
>
> Marcos,
>
> Fiz o "sudo apt -f install" mas continua dando erro nos mesmo
> arquivos, E a outra parte que vc escreve não entendi muito o que é para fazer.
>
> Pergunta será estou com o 16.04 será que eu consigo fizer um upgrade
> para uma versão mais nova resolve meu problema?
>
>
> 2017-08-09 15:05 GMT-03:00 Marcos Alano <[hidden email]>:
>
> > @Glênio,
> >
> > Isso não vai funcionar por que apesar de remover os arquivos do
> > kernel não vai remover os pacotes.
> >
> > @Marcelo
> > Tu pode tentar o comando:
> > sudo apt -f install
> > E em último caso pode substituir (fazendo backup, é claro) o script
> > /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm por um script
> > que sempre retorne verdadeiro. Ou pode lá ver o que essa linha 328
> > faz e podemos fazer um troubleshooting  mais demorado e aprofundado.
> >
> > 2017-08-09 14:42 GMT-03:00 Glênio Côrtes Himmen
> > <[hidden email]>:
> > > Vá no diretório /boot digite ls -l e veja os arquivos que tem,
> > > apague um
> > kernel mais antigo.
> > >
> > > Cada kernel é composto de três arquivos com a mesma numeração.
> > >
> > > Depois de remover o arquivo, basta executar o update, upgrade,
> > dist-upgrade, autoremove e autoclean.
> > >
> > > Glênio Côrtes Himmen
> > > Super. Municipal de Mobilidade e Desenv. Social
> > > www.aparecida.go.gov.br [hidden email]
> > >
> > > -----Mensagem original-----
> > > De: [hidden email] [mailto:ubuntu-br-bounces@
> > lists.ubuntu.com] Em nome de Marcelo Paixao
> > > Enviada em: terça-feira, 8 de agosto de 2017 08:27
> > > Para: Lista de discussão da Comunidade Ubuntu Brasil
> > > Assunto: [Ubuntu-BR] Pacotes quebrados?
> > >
> > > Ola pessoal não consigo instalar ou desinstalar programas no
> > > terminal
> > aparece isso:
> > > "Found kernel: /boot/memtest86+.bin
> > > run-parts: /etc/kernel/postrm.d/zz-update-grub exited with return
> > > code
> > 10 Failed to process /etc/kernel/postrm.d at
> > /var/lib/dpkg/info/linux-image-4.4.0-89-generic.postrm
> > line 328.
> > > dpkg: erro ao processar o pacote linux-image-4.4.0-89-generic
> (--remove):
> > >  sub-processo script post-removal instalado retornou estado de
> > > saída de
> > erro 1 Nenhum relatório apport escrito pois MaxReports já foi
> > atingido
> > >                                                                
> > > Erros
> > foram encontrados durante o processamento de:
> > >  linux-image-extra-4.4.0-83-generic
> > >  linux-image-4.4.0-83-generic
> > >  linux-image-extra-4.4.0-89-generic
> > >  linux-image-4.4.0-89-generic
> > > E: Sub-process /usr/bin/dpkg returned an error code (1)"
> > >
> > > Já tentei remover pelo terminal, synaptic e sempre dá erro.
> > >
> > > Pelo pouco que entendo e pesquisei é problema de kernel antigos,
> > > tenho
> > que instalar outros?
> > >
> > > Valeu pela força.
> > >
> > >
> > > --
> > > Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
> > >
> > > Lista de discussão Ubuntu Brasil
> > > Histórico, descadastramento e outras opções:
> > > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
> >
> >
> >
> > --
> > Marcos Alano
> > ----------------------------------------------
> > P: Por que este email é tão curto?
> > R: http://five.sentenc.es
> > ----------------------------------------------
> >
> > --
> > Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
> >
> > Lista de discussão Ubuntu Brasil
> > Histórico, descadastramento e outras opções:
> > https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
> >
>
>
> --
> Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece
>
> Lista de discussão Ubuntu Brasil
> Histórico, descadastramento e outras opções:
> https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
>


--
Mais sobre o Ubuntu em português: http://www.ubuntu-br.org/comece

Lista de discussão Ubuntu Brasil
Histórico, descadastramento e outras opções:
https://lists.ubuntu.com/mailman/listinfo/ubuntu-br
Loading...